#1541 closed defect (fixed)

filesystem macros in libio_.h to be converted to functions

Reported by: Bharath Suri Owned by: Chris Johns
Priority: normal Milestone: 4.10
Component: score Version: 4.10
Severity: minor Keywords:
Cc: joel.sherrill@…, jennifer.averett@…, chrisj@… Blocked By:
Blocking:

Description

The below mentioned macros seem big enough and worthy to be converted to a function:

rtems_filesystem_is_separator
rtems_filesystem_get_start_loc
rtems_filesystem_get_sym_start_loc

They are also used in several places => Converting them to function would result in substantial reduction in code size too

Attachments (6)

patch-libio_h (2.7 KB) - added by Bharath Suri on Jun 5, 2010 at 1:12:01 PM.
Proposed patch for rtems/cpukit/libcsupport/include/rtems/libio_.h
sup_fs_is_separator.c (696 bytes) - added by Bharath Suri on Jun 5, 2010 at 1:14:02 PM.
New file having rtems_filesystem_is_separator function @ rtems/cpukit/libcsupport/src/
sup_fs_get_start_loc.c (1.0 KB) - added by Bharath Suri on Jun 5, 2010 at 1:14:51 PM.
New file having rtems_filesystem_get_start_loc function @ rtems/cpukit/libcsupport/src/
sup_fs_get_sym_start_loc.c (1.0 KB) - added by Bharath Suri on Jun 5, 2010 at 1:15:32 PM.
New file having rtems_filesystem_get_sym_start_loc function @ rtems/cpukit/libcsupport/src/
patch-Makefile.am (648 bytes) - added by Bharath Suri on Jun 5, 2010 at 1:24:20 PM.
patch for the Makefile.am @ rtems/cpukit/libcsupport/Makefile.am
ChangeLog (398.1 KB) - added by Bharath Suri on Jun 5, 2010 at 1:25:19 PM.
Updated ChangeLog? @ rtems/cpukit/

Download all attachments as: .zip

Change History (10)

comment:1 Changed on Jun 1, 2010 at 9:57:53 AM by Chris Johns

Cc: Chris Johns added

comment:2 Changed on Jun 1, 2010 at 10:04:32 AM by Bharath Suri

Status: newassigned

comment:3 Changed on Jun 1, 2010 at 12:14:42 PM by Joel Sherrill

Owner: changed from Bharath Suri to Chris Johns

Changed on Jun 5, 2010 at 1:12:01 PM by Bharath Suri

Attachment: patch-libio_h added

Proposed patch for rtems/cpukit/libcsupport/include/rtems/libio_.h

Changed on Jun 5, 2010 at 1:14:02 PM by Bharath Suri

Attachment: sup_fs_is_separator.c added

New file having rtems_filesystem_is_separator function @ rtems/cpukit/libcsupport/src/

Changed on Jun 5, 2010 at 1:14:51 PM by Bharath Suri

Attachment: sup_fs_get_start_loc.c added

New file having rtems_filesystem_get_start_loc function @ rtems/cpukit/libcsupport/src/

Changed on Jun 5, 2010 at 1:15:32 PM by Bharath Suri

Attachment: sup_fs_get_sym_start_loc.c added

New file having rtems_filesystem_get_sym_start_loc function @ rtems/cpukit/libcsupport/src/

Changed on Jun 5, 2010 at 1:24:20 PM by Bharath Suri

Attachment: patch-Makefile.am added

patch for the Makefile.am @ rtems/cpukit/libcsupport/Makefile.am

Changed on Jun 5, 2010 at 1:25:19 PM by Bharath Suri

Attachment: ChangeLog added

Updated ChangeLog? @ rtems/cpukit/

comment:4 Changed on Jun 7, 2010 at 2:17:00 PM by Jennifer Averett

Resolution: fixed
Status: assignedclosed, jennifer.averett@oarcorp.com

Applied patches to the head of the tree.

Note: See TracTickets for help on using tickets.